=== debian/changelog ===
libcereal (1.1.2-4) unstable; urgency=medium

  * Drop multilib builddeb (Closes: #814530) 

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 12 Feb 2016 16:27:13 -0800

libcereal (1.1.2-3) unstable; urgency=medium

  * Applied patch from upstream, try building on all archs again. 

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 11 Feb 2016 14:04:10 -0800

libcereal (1.1.2-2) unstable; urgency=medium

  * Only build for *-amd64, sparc64 until upstream fixes their code.
  (Closes: # 813280, #813281, #813282)
  * Added autopkgtest
  * Fix Vcs-Git URL.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 31 Jan 2016 00:19:40 -0800

libcereal (1.1.2-1) unstable; urgency=low

  * Initial release (Closes: #800335)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 18 Sep 2015 19:13:43 -0700
