=== debian/control ===
Source: libcereal
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-serialization-dev,
               libboost-test-dev,
               cmake,
               doxygen
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libcereal.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libcereal.git
Homepage: http://uscilab.github.io/cereal/

Package: libcereal-dev
Architecture: any
Depends: ${misc:Depends}
Description: C++11 library for serialization
 cereal is a header-only C++11 serialization library. cereal takes arbitrary
 data types and reversibly turns them into different representations, such as
 compact binary encodings, XML, or JSON. cereal was designed to be fast,
 light-weight, and easy to extend - it has no external dependencies and can be
 easily bundled with other code or used standalone.

Package: libcereal-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: C++11 library for serialization HTML documentation
 cereal is a header-only C++11 serialization library. cereal takes arbitrary
 data types and reversibly turns them into different representations, such as
 compact binary encodings, XML, or JSON. cereal was designed to be fast,
 light-weight, and easy to extend - it has no external dependencies and can be
 easily bundled with other code or used standalone.
 .
 This package contains the HTML documentation.
