## libcereal 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,53 @@
 project (cereal)
 
 option(SKIP_PORTABILITY_TEST "Skip portability tests" OFF)
+if(NOT CMAKE_VERSION VERSION_LESS 3.0) # installing cereal requires INTERFACE lib
+    option(JUST_INSTALL_CEREAL "Don't do anything besides installing the library" OFF)
+endif()
 
-set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Werror -g -Wextra -Wshadow -pedantic ${CMAKE_CXX_FLAGS}")
+option(THREAD_SAFE "Use mutexes to ensure thread safety" OFF)
+if(THREAD_SAFE)
+    add_definitions(-DCEREAL_THREAD_SAFE=1)
+    set(CEREAL_THREAD_LIBS "pthread")
+else()
+    set(CEREAL_THREAD_LIBS "")
+endif()
+
+if(NOT MSVC)
+    set(CMAKE_CXX_FLAGS "-Wall -Werror -g -Wextra -Wshadow -pedantic ${CMAKE_CXX_FLAGS}")
+    if(CMAKE_VERSION VERSION_LESS 3.1)
+        set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
+    else()
+        if(NOT DEFINED CMAKE_CXX_STANDARD OR CMAKE_CXX_STANDARD STREQUAL "98")
+            set(CMAKE_CXX_STANDARD 11)
+        endif()
+        set(CMAKE_CXX_STANDARD_REQUIRED ON)
+    endif()
+endif()
+
+if(NOT CMAKE_VERSION VERSION_LESS 3.0)
+    add_library(cereal INTERFACE)
+    target_include_directories(cereal INTERFACE
+        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+        $<INSTALL_INTERFACE:include>
+    )
+    install(TARGETS cereal EXPORT cereal
+        DESTINATION lib) # ignored
+    install(EXPORT cereal FILE cereal-config.cmake
+        DESTINATION share/cmake/cereal)
+    install(DIRECTORY include/cereal DESTINATION include)
+endif()
+
+if(JUST_INSTALL_CEREAL)
+    return()
+endif()
 
 include_directories(./include)
 
 find_package(Boost COMPONENTS serialization unit_test_framework)
 
 if(Boost_FOUND)
-  include_directories(${Boost_INCLUDE_DIRS})
+  include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
   enable_testing()
   add_subdirectory(unittests)
 endif(Boost_FOUND)
