=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libcereal
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -8,7 +8,7 @@
                libboost-test-dev,
                cmake,
                doxygen
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libcereal.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libcereal.git
 Homepage: http://uscilab.github.io/cereal/
