=== debian/changelog ===
libcereal (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * Do not try to change non-existing files in binary all builds
    Closes: #916969

 -- Andreas Tille <tille@debian.org>  Thu, 20 Dec 2018 22:34:59 +0100

libcereal (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest
    Closes: #911261
  * Normalise autopkgtest (as in other Debian Med packages)
  * debhelper 11
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 20 Dec 2018 15:07:17 +0100

libcereal (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 17 Oct 2018 02:06:26 -0700

libcereal (1.2.1-3) unstable; urgency=medium

  * Team upload
  * Do not set -Werror which makes build fail when using gcc-7
    Closes: #853486
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2017 23:28:27 +0200
