=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                libboost-serialization-dev,
                libboost-test-dev,
                cmake,
                doxygen
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libcereal.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libcereal.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/libcereal
+Vcs-Git: https://salsa.debian.org/med-team/libcereal.git
 Homepage: http://uscilab.github.io/cereal/
 
 Package: libcereal-dev
