=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSKIP_PORTABILITY_TEST=on

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_install:
	dh_install --exclude license
	find debian/*/usr/share/doc -name CMakeLists.txt -exec sed -i '/add_subdirectory(doc)/d' \{\} \;
