## libcereal 1.3.0

=== debian/changelog ===
libcereal (1.3.0-2) unstable; urgency=medium

  * debian/ruiles: Work around build failures on platforms without processor
    intrinsics for atomic operations

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 28 Oct 2019 14:19:21 +0100

libcereal (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 27 Oct 2019 17:23:31 +0100
