=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libboost-serialization-dev,
                libboost-test-dev,
                cmake,
                doxygen
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libcereal
 Vcs-Git: https://salsa.debian.org/med-team/libcereal.git
 Homepage: http://uscilab.github.io/cereal/
