=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
+
+ifneq (,$(filter $(DEB_HOST_ARCH),armel m68k mips mipsel powerpc sh4))
+  EXTRA=-DCMAKE_CXX_STANDARD_LIBRARIES=-latomic
+endif
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DSKIP_PORTABILITY_TEST=on
+	dh_auto_configure -- -DSKIP_PORTABILITY_TEST=on $(EXTRA)
 
 override_dh_auto_build:
 	dh_auto_build -- all doc
