## libcereal 1.3.0+dfsg

=== debian/changelog ===
libcereal (1.3.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * install from debian/tmp to enable dh_missing --fail-missing
  * install cmake file
  * Remove code copy of rapidjson and use Debian packaged code instead
    Closes: #976585

  [ Michael R. Crusoe ]
  * debian/patches/{reproducible-doxygen,drop-google-analytics}:
    doesn't need forwarding upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Jan 2021 10:20:13 +0100

libcereal (1.3.0-3) unstable; urgency=medium

  * libcereal-dev: Convert to Architecture: all, saves space and eases
    cross-building
  * Mark -dev and -doc as Multi-Arch: foreign
  * Tweak the doxygen patch to make the build reproducible
  * Standards-Version: 4.5.0 (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 28 Feb 2020 17:26:41 +0100
