=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: libcereal
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libboost-serialization-dev,
                libboost-test-dev,
+               rapidjson-dev,
                cmake,
                doxygen
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/libcereal
 Vcs-Git: https://salsa.debian.org/med-team/libcereal.git
-Homepage: http://uscilab.github.io/cereal/
+Homepage: https://uscilab.github.io/cereal/
+Rules-Requires-Root: no
 
 Package: libcereal-dev
-Architecture: any
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Architecture: all
+Depends: ${misc:Depends},
+         rapidjson-dev
 Description: C++11 library for serialization
  cereal is a header-only C++11 serialization library. cereal takes arbitrary
  data types and reversibly turns them into different representations, such as
@@ -25,6 +29,7 @@
 
 Package: libcereal-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: C++11 library for serialization HTML documentation
