=== debian/changelog ===
libcereal (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches. Sent add-only-tests-target upstream.
  * Adjust to changes in cmake locations
  * Don't install another copy of the rapidxml license

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Jan 2022 09:22:46 +0100

libcereal (1.3.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 11:40:31 +0200
