=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                rapidjson-dev,
                cmake,
                doxygen
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libcereal
 Vcs-Git: https://salsa.debian.org/med-team/libcereal.git
 Homepage: https://uscilab.github.io/cereal/
