=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,4 @@
 override_dh_install:
 	dh_install --exclude license
 	find debian/*/usr/share/doc -name CMakeLists.txt -exec sed -i '/add_subdirectory(doc)/d' \{\} \;
+	find debian/ -name LICENSE -delete
