## libcereal 1.3.2%2Bdfsg

=== debian/changelog ===
libcereal (1.3.2+dfsg-6) unstable; urgency=medium

  * Include patch from upstream to generate a pkg-config file. Closes:
    #1107925
  * d/control: mark the -dev package "Multi-Arch: same" as per the
    Multiarch hinter.
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Sep 2025 14:57:34 +0200

libcereal (1.3.2+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Aaron M. Ucko ]
  * Fix autopkgtest regression on non x86: cc1plus: all warnings being
    treated as errors
    Closes: #1034369

 -- Andreas Tille <tille@debian.org>  Fri, 14 Apr 2023 19:18:06 +0200

libcereal (1.3.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Disable -Werror to fix FTBFS on arm, ppc, s390x (Closes: #1021394)

 -- Scott Talbert <swt@techie.net>  Thu, 13 Oct 2022 13:31:58 -0400

libcereal (1.3.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * libcereal-dev Architecture: any since the cmake files are not
    Architecture independent
    Closes: #1020779
  * Standards-Version: 4.6.1 (routine-update)
  * Lintian-overrides for flase positive

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 09:36:11 +0200

libcereal (1.3.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/t/run-unit-test: Copy sandbox dir
    for autopkgtests (Closes: #1016742)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Aug 2022 13:17:06 +0530

libcereal (1.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add BUILD_SANDBOX to autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2022 11:17:25 +0200
