=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                rapidjson-dev,
                cmake,
                doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libcereal
 Vcs-Git: https://salsa.debian.org/med-team/libcereal.git
 Homepage: https://uscilab.github.io/cereal/
 Rules-Requires-Root: no
 
 Package: libcereal-dev
-Multi-Arch: foreign
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          rapidjson-dev
 Description: C++11 library for serialization
